The connect gate, the connection state and how many folders are configured (never their ids). No Google call.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/memory/adapters/google_drive/status"null{
"detail": {
"error_type": "string",
"message": "string"
}
}{
"detail": {
"error_type": "string",
"message": "string"
}
}{
"detail": {
"error_type": "string",
"message": "string"
}
}{
"detail": {
"error_type": "string",
"message": "string"
}
}{
"detail": {
"error_type": "string",
"message": "string"
}
}{
"detail": {
"error_type": "string",
"message": "string"
}
}{
"detail": {
"error_type": "string",
"message": "string"
}
}Drive List
One page of a configured folder. Body ``{folder_id?, state?}``; ``state`` is ``{watermark, page_state}`` as sealed by the last page (both ``null`` or absent: a snapshot from the start).
Dropbox List
One page of text files. Body ``{folder?, state?}``; ``state`` is ``{watermark, page_state}`` from the last page.